really cleansed
authorChris Koeritz <fred@gruntose.com>
Thu, 2 Feb 2017 06:57:16 +0000 (01:57 -0500)
committerChris Koeritz <fred@gruntose.com>
Thu, 2 Feb 2017 06:57:16 +0000 (01:57 -0500)
oh do you feel that deep cleansing, down to the bone practically?  a few more folders removed, including some troublesomely platform specifically named ones.

19 files changed:
scripts/unit_test/rounder.sh [deleted file]
scripts/unit_test/run_test_and_verify.sh [deleted file]
scripts/unit_test/test_array_sifter.sh [deleted file]
scripts/unit_test/test_assoc_array.sh [deleted file]
scripts/unit_test/test_time_tracker.sh [deleted file]
scripts/unit_test/verify_correct_input.sh [deleted file]
scripts/users/find_user.sh [deleted file]
scripts/users/findme.sh [deleted file]
scripts/users/goodbye.sh [deleted file]
scripts/users/group_spouter.sh [deleted file]
scripts/web/apache_log_sorter.sh [deleted file]
scripts/winders/exploder.sh [deleted file]
scripts/winders/find_64bit_bins.sh [deleted file]
scripts/winders/locate_function_in_lib.sh [deleted file]
scripts/winders/zap_msbuilds.sh [deleted file]
scripts/x_win/get_x_auth.sh [deleted file]
scripts/x_win/make_display.sh [deleted file]
scripts/x_win/webcam_snagger.sh [deleted file]
scripts/x_win/xtfont.sh [deleted file]

diff --git a/scripts/unit_test/rounder.sh b/scripts/unit_test/rounder.sh
deleted file mode 100644 (file)
index 3214ee6..0000000
+++ /dev/null
@@ -1,33 +0,0 @@
-#!/bin/bash
-
-# sample the first argument to make sure it's not empty.
-# we can't know if the command is really valid or not, but it at least
-# needs to not be empty.
-test_to_run="$1"
-
-if [ -z "$test_to_run" ]; then
-  echo "This script requires a test or program to run as the first parameter."
-  exit 1
-fi
-
-trashdir="$(mktemp -d "$TMP/rounder.XXXXXX")"
-
-echo "Running command: $*"
-echo "Storing log files in: $trashdir"
-
-round=0
-while true; do
-  round=$((round+1))
-  echo ============================
-  echo round $round commencing
-  outputfile="$trashdir/run_round_${round}.log"
-echo real cmd:
-echo "${@}" 
-  eval "${@}" 2>&1 | tee $outputfile
-  if [ ${PIPESTATUS[0]} -ne 0 ]; then
-    echo FAILURE IN RUN $round
-    break
-  fi
-  echo round $round successful.
-done 
-
diff --git a/scripts/unit_test/run_test_and_verify.sh b/scripts/unit_test/run_test_and_verify.sh
deleted file mode 100644 (file)
index cb03745..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/bash
-
-# a simple unit test component that takes three parameters: the test to run, the
-# input file to give that test, and the expected correct output file from the test.
-# the script will complain if there is an error in the test output.  otherwise it
-# says nothing, but the script's return value can also be checked.
-
-to_run="$1"; shift
-input_file="$1"; shift
-answer_file="$1"; shift
-
-eval "$to_run" < "$input_file" | bash "$FEISTY_MEOW_SCRIPTS/unit_test/verify_correct_input.sh" "$answer_file"
-
diff --git a/scripts/unit_test/test_array_sifter.sh b/scripts/unit_test/test_array_sifter.sh
deleted file mode 100644 (file)
index 26173f1..0000000
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/bash
-#
-# tests the array sifter methods.
-
-source $FEISTY_MEOW_SCRIPTS/core/array_sifter.sh
-
-#demo 1 & 2 for test presence.
-declare -a my_array=(peanuts sauce fish basil)
-
-test1=basil
-test_presence my_array $test1
-if [ $? != 0 ]; then
-  echo "test1 did not find flag, but should have."
-else
-  echo "test1 found expected flag."
-fi
-
-test2=spoo
-test_presence my_array $test2
-if [ $? != 0 ]; then
-  echo "test2 did not find flag, which is correct."
-else
-  echo "test2 found flag when should not have."
-fi
-
-#############################################
-
-#demo3 for sifting...
-
-declare -a sift_list=(ontrack selenium aggressive)
-declare -a stripping=(selenium)
-declare -a store_list=()
-
-sift_array "sift_list" "stripping" "store_list" 
-if [ ${store_list[0]} == "selenium" ]; then
-  echo "test3 found expected content in storage list."
-else
-  echo "test3 was missing expected content in storage list."
-fi
-echo sift is now ${sift_list[*]}
-if [ "${sift_list[*]}" == "ontrack aggressive" ]; then
-  echo "test3 found expected content in sifting list."
-else
-  echo "test3 was missing expected content in sifting list."
-fi
-
-
diff --git a/scripts/unit_test/test_assoc_array.sh b/scripts/unit_test/test_assoc_array.sh
deleted file mode 100644 (file)
index 8da0424..0000000
+++ /dev/null
@@ -1,65 +0,0 @@
-#!/bin/bash
-
-##############
-
-# simple examples...
-
-declare -A snuggles
-  # make an associative array
-
-snuggles=([book]=petunia [muffets]="glasgow robbery")
-  # keys: book and muffets
-  # values: (second part)
-
-snuggles+=([morgower]=flimshaw)
-  # adding entries to it.
-
-echo ${!snuggles[x]}
-  # show index x's key.
-
-echo ${snuggles[x]}
-  # show index x's value.
-
-##############
-
-# excellent code from:
-# http://blog.spencertipping.com/2009/08/constant-time-associative-arrays-in-bash
-typeset -a table_keys
-typeset -a table_values
-function index_of_key () {
-  initial=$(($(echo $1 | md5sum | cut -c 18-32 | awk '{print "0x"$1}')))
-  while [[ ${table_keys[$initial]} && ${table_keys[$initial]} != $1 ]]; do
-    initial=$((initial + 1))
-  done
-  echo -n $initial
-}
-function associate () {
-  index=$(index_of_key $1)
-  table_keys[$index]=$1
-  table_values[$index]=$2
-  echo -n $2
-}
-function lookup () {
-  index=$(index_of_key $1)
-  echo -n ${table_values[$index]}
-}
-echo Associating foo with bar and bif with baz
-associate foo bar && echo
-associate bif baz && echo
-echo -n Looking up foo:
-lookup foo && echo
-echo -n Looking up bif:
-lookup bif && echo
-echo -n Looking up bar:
-lookup bar && echo
-
-##############
-
diff --git a/scripts/unit_test/test_time_tracker.sh b/scripts/unit_test/test_time_tracker.sh
deleted file mode 100644 (file)
index 9a90857..0000000
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/bash
-
-# tests out the time tracking methods.
-
-source $FEISTY_MEOW_SCRIPTS/system/time_tracker.sh
-
-echo testing time tracking...
-start_time_tracking crungle
-
-sleep $(($RANDOM / 1000))
-sleep 2
-
-end_time_tracking crungle
-
-echo ...done testing time tracking.
-
-show_tracked_duration crungle
-
diff --git a/scripts/unit_test/verify_correct_input.sh b/scripts/unit_test/verify_correct_input.sh
deleted file mode 100644 (file)
index 1cdef40..0000000
+++ /dev/null
@@ -1,40 +0,0 @@
-#/bin/bash
-
-# a simple component of unit testing which verifies that the input matches
-# the expected input.
-
-# the single parameter to the script is a file that contains the correct answer.
-
-source "$FEISTY_MEOW_SCRIPTS/core/functions.sh"
-
-answer_file="$1"; shift
-
-if [ -z "$answer_file" -o ! -f "$answer_file" ]; then
-  echo This script needs a valid file parameter that points at the correct
-  echo values for the data stream.
-  exit 1
-fi
-
-input_save_file="$(mktemp "$TMP/zz_verify_input.XXXXXX")"
-
-while read line; do
-  echo $line >>"$input_save_file"
-done
-
-diff -q "$input_save_file" "$answer_file"
-if [ $? -ne 0 ]; then
-  sep 76
-  echo "The provided text differs from the correct answer!"
-  echo -e "\nAnswer file has:\n=============="
-  cat "$answer_file"
-  echo -e "==============\nBut the data we saw has:\n=============="
-  cat "$input_save_file"
-  echo -e "=============="
-  sep 76
-  false  # set bad exit value.
-fi
-
-rm "$input_save_file"
-
-exit $?
-
diff --git a/scripts/users/find_user.sh b/scripts/users/find_user.sh
deleted file mode 100644 (file)
index 66358cf..0000000
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/bash
-if test $# -lt 1; then
-  echo $(basename $0): requires a user id for which to search.;
-  \exit 1;
-fi
-tempname="$(mktemp "$TMP/zz_trash.findme.XXXXXX")"
-ps wuax | grep "$1[    ]*[0-9]" | sed -e '
-       /sed/d
-       /\/bin\/sh.*\/scripts\/find/d
-       /ps -uxg/d' >$tempname
-# sed command eliminates field ambiguity for STAT field
-cat $tempname| sed -e '/[RSD] N/s/[RSD] N/NUN/' |
-awk '/^'$1'/ {
-       ORS=""
-       print "process #" $2, "started", $9 " "
-       if ($9 ~ /^[A-Za-z]/) {
-               print $10, "with "
-       } else {
-               print "with", $11 " "
-       }
-       print $12, $13, $14, $15, $16, $17 "\n"
-       }
-' | sort -k 1 -t\# -n
-/bin/rm $tempname
diff --git a/scripts/users/findme.sh b/scripts/users/findme.sh
deleted file mode 100644 (file)
index 95487b1..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/bash
-# finds the current user's processes in the process list.
-snuser=$USER
-if [ -z "$snuser" ]; then snuser=$USERNAME; fi
-# more checks?  what else would we get it from, REPLYTO?
-bash "$FEISTY_MEOW_SCRIPTS/users/find_user.sh" $snuser
diff --git a/scripts/users/goodbye.sh b/scripts/users/goodbye.sh
deleted file mode 100644 (file)
index 674a119..0000000
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/bash
-
-# just prints a message before terminal exit.
-
-source $FEISTY_MEOW_SCRIPTS/core/functions.sh
-
-nechung
-
-# quick pause to reflect.
-sleep 2
-
-\exit 0
diff --git a/scripts/users/group_spouter.sh b/scripts/users/group_spouter.sh
deleted file mode 100644 (file)
index df0fb0a..0000000
+++ /dev/null
@@ -1,5 +0,0 @@
-sed -e 's/\([^:]*\):\([^:]*\):\([^:]*\):\([^:]*\):\([^:]*\):\([^:]*\):.*/sudo addgroup --gid \4 \1 ; sudo adduser \1 --uid \3 --gid \4/' < $CLOUD_BASE/configuration/users/fred_and_alts.passwd >$TMP/zz_spouted_groups.sh
-
-Now running the $TMP/spouted_groups.sh script to create the groups:
-bash $TMP/zz_spouted_groups.sh
-
diff --git a/scripts/web/apache_log_sorter.sh b/scripts/web/apache_log_sorter.sh
deleted file mode 100644 (file)
index 5da498c..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/sh
-
-if [ ! -f $1 ]; then
-  echo "Usage: $0 "
-  echo "This script needs a file to sort and a new name for the file after sorting."
-  exit 1
-fi
-
-echo "Sorting $1 into $2"
-
-sort -t ' ' -k 4.9,4.12n -k 4.5,4.7M -k 4.2,4.3n -k 4.14,4.15n -k 4.17,4.18n -k 4.20,4.21n $1 > $2
-
-
diff --git a/scripts/winders/exploder.sh b/scripts/winders/exploder.sh
deleted file mode 100644 (file)
index 6199105..0000000
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/bash
-
-parm=$1
-
-#echo original parm is: $parm
-# turn the form that is just two characters of /X into X:/.
-parm=$(echo $parm | sed -e 's/^\/\([a-zA-Z]\)$/\1:\//g')
-#echo parm now is $parm
-# turn the msys path form into an msdos style path for the drive letter.
-parm=$(echo $parm | sed -e 's/^\/\([a-zA-Z]\)\//\1:\//g')
-#echo parm now is $parm
-# turn the form that is /cygdrive/X into X:/.
-parm=$(echo $parm | sed -e 's/^\/cygdrive\/\([a-zA-Z]\)$/\1:\//g')
-#echo parm now is $parm
-# turn regular cygwin paths into msdos style paths for the drive letter.
-parm=$(echo $parm | sed -e 's/^\/cygdrive\/\([a-zA-Z]\)\//\1:\//g')
-#echo parm now is $parm
-# rip off any slashes on the end, if they aren't too close to a colon.
-parm=$(echo $parm | sed -e 's/\([^:]\)\/*$/\1/g')
-#echo parm now is $parm
-# turn linux forward slashes into dos backward slashes.
-parm=$(echo $parm | sed -e 's/\//\\/g')
-#echo "totally chewed parm is: $parm"
-
-$WINDIR/explorer "$parm"
-
diff --git a/scripts/winders/find_64bit_bins.sh b/scripts/winders/find_64bit_bins.sh
deleted file mode 100644 (file)
index 1ace09b..0000000
+++ /dev/null
@@ -1 +0,0 @@
-for i in $FEISTY_MEOW_APEX/binaries/*.exe ; do dumpbin //headers $i | grep -i 8664 ; done
diff --git a/scripts/winders/locate_function_in_lib.sh b/scripts/winders/locate_function_in_lib.sh
deleted file mode 100644 (file)
index 6a49c1e..0000000
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-
-filename="$1"; shift
-function_name="$1"; shift
-
-good_path="$(cygpath -w -s $filename)"
-
-#/exports 
-dumpbin /all $good_path | grep -q -i "$function_name"
-if [ $? -eq 0 ]; then
-  echo "Found $function_name in $filename"
-fi
-
-
-
diff --git a/scripts/winders/zap_msbuilds.sh b/scripts/winders/zap_msbuilds.sh
deleted file mode 100644 (file)
index 57c8e74..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/bash
-# this simple script kills off some troublesome processes in preparation for a new build
-# with visual studio.
-zap_process.exe msbuild.exe 
-zap_process.exe mspdbsrv.exe
-
diff --git a/scripts/x_win/get_x_auth.sh b/scripts/x_win/get_x_auth.sh
deleted file mode 100644 (file)
index c9f2ea8..0000000
+++ /dev/null
@@ -1,19 +0,0 @@
-#!/bin/bash
-# This script finds the X window system authorization info that's already
-# been established for this display.  The information can then be used to
-# set the authorization for a new su session, which keeps X secure as
-# well as allowing the user to run X programs on the original display.
-
-# make sure we have some information to return in the first place.
-if [ ! -z "$DISPLAY" ]; then 
-  disp_search=$(echo $DISPLAY | sed -e 's/.*:\([0-9]*\).*/:\1/')
-#echo disp search is $disp_search
-  temp_auth=$(xauth list | grep -i $HOSTNAME | grep $disp_search)
-#echo temp auth is $temp_auth
-  temp_auth2=$(echo $temp_auth | sed -e "s/$HOSTNAME/; xauth add $HOSTNAME/g" )
-#echo temp auth2 is $temp_auth2
-  export X_auth_info="echo setting X permissions $temp_auth2"
-#echo $X_auth_info
-
-fi
-
diff --git a/scripts/x_win/make_display.sh b/scripts/x_win/make_display.sh
deleted file mode 100644 (file)
index e69fcbb..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/bash
-echo hostname is $(hostname) for make_display >trash.trash
-case $DISPLAY in
-       unix*) echo $(hostname):0.0 ;;
-       *) echo $DISPLAY
-       echo setting to $DISPLAY >>trash.trash ;;
-esac
diff --git a/scripts/x_win/webcam_snagger.sh b/scripts/x_win/webcam_snagger.sh
deleted file mode 100644 (file)
index 9dcde0d..0000000
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/bash
-
-# the file name to be found on the remote site is expected to be named
-# using the prefix and suffix below.
-# example: prefix=webcam and suffix=jpg leads to a picture named webcam.jpg
-FILE_PREFIX=webcam
-FILE_SUFFIX=jpg
-
-# this is the location on the internet (or local network) where the file
-# can be found.
-#WEBPIX_SITE='http://gruntose.com/'
-WEBPIX_SITE='ftp://velma/incoming'
-
-# this points at the directory where the downloaded pictures will be stored.
-WEBPIX_DIR=$HOME/pix_webcam
-if [ ! -d $WEBPIX_DIR ]; then mkdir $WEBPIX_DIR; fi
-# make sure that the directory creation worked.
-if [ ! -d $WEBPIX_DIR ]; then 
-  echo "The target directory $WEBPIX_DIR cannot be created."
-  exit 51;
-fi
-
-# the number of seconds to sleep between snapshots of the source file.
-SNOOZE_PERIOD=3
-
-# our loop variable.  if you want the numbers that are added to the name to
-# start at a different value, then change that here.
-index=1
-
-while [ $index -lt 10000 ]; do
-  # grab the file and store it to a local location.  
-  chewed_index=$index
-#hmmm: would be nice to have the numbers prefixed by zeros.
-  if [ $chewed_index -lt 1000 ]; then chewed_index=0$chewed_index; fi
-  if [ $chewed_index -lt 100 ]; then chewed_index=0$chewed_index; fi
-  if [ $chewed_index -lt 10 ]; then chewed_index=0$chewed_index; fi
-
-  wget -i $WEBPIX_SITE/$FILE_PREFIX.$FILE_SUFFIX -o $WEBPIX_DIR/$FILE_PREFIX$chewed_index.$FILE_SUFFIX
-
-  index=$(expr $index + 1)
-  sleep $SNOOZE_PERIOD
-done
-
diff --git a/scripts/x_win/xtfont.sh b/scripts/x_win/xtfont.sh
deleted file mode 100644 (file)
index 8ab6559..0000000
+++ /dev/null
@@ -1,154 +0,0 @@
-#!/bin/bash
-XTFONT=$(xmenu -geometry +800+50 -heading "Font" \
-"LucidaTypeWriter 12" "LucidaTypeWriter 12 Bold" \
-"LucidaTypeWriter 14" "LucidaTypeWriter 14 Bold" \
-"LucidaTypeWriter 18" "LucidaTypeWriter 18 Bold" \
-"Courier 12" "Courier 12 Bold" \
-"Courier 14" "Courier 14 Bold" \
-"Courier 18" "Courier 18 Bold" \
-"Gallant 19" "PC Font 14" \
-"Screen 12" "Screen 12 Bold" \
-"Screen 14" "Screen 14 Bold" \
-"Screen 16" "Screen 16 Bold" \
-"Fixed 10" \
-"Fixed 12"  "Fixed 12 Bold" \
-"Fixed 14" "Fixed 14 Bold" \
-"Fixed 17" \
-"Clean 12" "Clean 12 Bold" \
-"Clean 14" "Clean 14 Bold" \
-"Clean 16" "Clean 16 Bold" \
-"Cancel") 
-
-case $XTFONT in
-   'Clean 12')
-   xtattr -font '-*-clean-medium-r-*-*-*-120-*-*-*-*-*-*'
-   ;;
-
-   'Clean 12 Bold')
-   xtattr -font '-*-clean-bold-r-*-*-*-120-*-*-*-*-*-*'
-   ;;
-
-   'Clean 14')
-   xtattr -font '-*-clean-medium-r-*-*-*-140-*-*-*-*-*-*'
-   ;;
-
-   'Clean 14 Bold')
-   xtattr -font '-*-clean-bold-r-*-*-*-140-*-*-*-*-*-*'
-   ;;
-
-   'Clean 16')
-   xtattr -font '-*-clean-medium-r-*-*-*-160-*-*-*-*-*-*'
-   ;;
-
-   'Clean 16 Bold')
-   xtattr -font '-*-clean-bold-r-*-*-*-160-*-*-*-*-*-*'
-   ;;
-
-   'Fixed 10')
-   xtattr -font '-*-fixed-medium-*-*-*-*-100-*-*-*-*-*-*'
-   ;;
-
-   'Fixed 12')
-   xtattr -font '-*-fixed-medium-*-*-*-*-120-*-*-*-*-*-*'
-   ;;
-
-   'Fixed 12 Bold')
-   xtattr -font '-*-fixed-bold-*-*-*-*-120-*-*-*-*-*-*'
-   ;;
-
-   'Fixed 14')
-   xtattr -font '-*-fixed-medium-*-*-*-*-140-*-*-*-*-*-*'
-   ;;
-
-   'Fixed 14 Bold')
-   xtattr -font '-*-fixed-bold-*-*-*-*-140-*-*-*-*-*-*'
-   ;;
-
-   'Fixed 17')
-   xtattr -font '-*-fixed-medium-*-*-*-*-170-*-*-*-*-*-*'
-   ;;
-
-   'Screen 12')
-   xtattr -font '-*-screen-medium-*-*-*-*-120-*-*-m-*-*-*' 
-   ;;
-
-   'Screen 12 Bold')
-   xtattr -font '-*-screen-bold-*-*-*-*-120-*-*-m-*-*-*' 
-   ;;
-
-   'Screen 14')
-   xtattr -font '-*-screen-medium-*-*-*-*-140-*-*-m-*-*-*' 
-   ;;
-
-   'Screen 14 Bold')
-   xtattr -font '-*-screen-bold-*-*-*-*-140-*-*-m-*-*-*' 
-   ;;
-
-   'Screen 16')
-   xtattr -font '-*-screen-medium-*-*-*-*-160-*-*-m-*-*-*' 
-   ;;
-
-   'Screen 16 Bold')
-   xtattr -font '-*-screen-bold-*-*-*-*-160-*-*-m-*-*-*' 
-   ;;
-
-   'LucidaTypeWriter 12')
-   xtattr -font '-*-lucidatypewriter-medium-*-*-*-*-120-*-*-*-*-*-*'
-   ;;
-
-   'LucidaTypeWriter 14')
-   xtattr -font '-*-lucidatypewriter-medium-*-*-*-*-140-*-*-*-*-*-*'
-   ;;
-
-   'LucidaTypeWriter 18')
-   xtattr -font '-*-lucidatypewriter-medium-*-*-*-*-180-*-*-*-*-*-*'
-   ;;
-
-   'LucidaTypeWriter 12 Bold')
-   xtattr -font '-*-lucidatypewriter-bold-*-*-*-*-120-*-*-*-*-*-*'
-   ;;
-
-   'LucidaTypeWriter 14 Bold')
-   xtattr -font '-*-lucidatypewriter-bold-*-*-*-*-140-*-*-*-*-*-*'
-   ;;
-
-   'LucidaTypeWriter 18 Bold')
-   xtattr -font '-*-lucidatypewriter-bold-*-*-*-*-180-*-*-*-*-*-*'
-   ;;
-
-   'Courier 12')
-   xtattr -font '-*-courier-medium-r-*-*-*-120-*-*-*-*-*-*'
-   ;;
-   
-   'Courier 14')
-   xtattr -font '-*-courier-medium-r-*-*-*-140-*-*-*-*-*-*'
-   ;;
-   
-   'Courier 18')
-   xtattr -font '-*-courier-medium-r-*-*-*-180-*-*-*-*-*-*'
-   ;;
-
-   'Courier 12 Bold')
-   xtattr -font '-*-courier-bold-r-*-*-*-120-*-*-*-*-*-*'
-   ;;
-   
-   'Courier 14 Bold')
-   xtattr -font '-*-courier-bold-r-*-*-*-140-*-*-*-*-*-*'
-   ;;
-   
-   'Courier 18 Bold')
-   xtattr -font '-*-courier-bold-r-*-*-*-180-*-*-*-*-*-*'
-   ;;
-
-   'Gallant 19')
-   xtattr -font '-*-gallant-*-*-*-*-*-190-*-*-m-*-*-*'
-   ;;
-   
-   'PC Font 14')
-   xtattr -font '-*-pcfont-*-*-*-*-*-140-*-*-m-*-*-*'
-   ;;
-
-   'Cancel')
-   ;;
-   
-esac